using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;

namespace WeaponMod
{
    public class WeaponMod
    {
        public static void Main()
        {

 //ThanosHead
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("1000kg Weight"),
                                NameOverride = "Hazmat Head -HSM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "Download the contraption in description.. you don´t have to build him by yourself!",
                                ThumbnailOverride = ModAPI.LoadSprite("Thanos.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Head.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

//Torso1
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("1000kg Weight"),
                                NameOverride = "Hazmat Torso 1 -HSM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "Download the contraption in description.. you don´t have to build him by yourself!",
                                ThumbnailOverride = ModAPI.LoadSprite("Thanos.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Foreground";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Torso1.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

//Torso2
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("1000kg Weight"),
                                NameOverride = "Hazmat Torso 2 -HSM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "Download the contraption in description.. you don´t have to build him by yourself!",
                                ThumbnailOverride = ModAPI.LoadSprite("Thanos.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Foreground";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Torso2.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

//Torso3
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("1000kg Weight"),
                                NameOverride = "Hazmat Torso 3 -HSM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "Download the contraption in description.. you don´t have to build him by yourself!",
                                ThumbnailOverride = ModAPI.LoadSprite("Thanos.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Foreground";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Torso3.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

//BackHand1
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("1000kg Weight"),
                                NameOverride = "Hazmat Back Arm 1 -HSM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "Download the contraption in description.. you don´t have to build him by yourself!",
                                ThumbnailOverride = ModAPI.LoadSprite("Thanos.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("BackHand1.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

//BackHand2
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("1000kg Weight"),
                                NameOverride = "Hazmat Back Arm 2 -HSM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "Download the contraption in description.. you don´t have to build him by yourself!",
                                ThumbnailOverride = ModAPI.LoadSprite("Thanos.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("BackHand2.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

//Hand1
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("1000kg Weight"),
                                NameOverride = "Hazmat Front Arm 1 -HSM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "Download the contraption in description.. you don´t have to build him by yourself!",
                                ThumbnailOverride = ModAPI.LoadSprite("Thanos.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Hand1.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

//Hand2
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("1000kg Weight"),
                                NameOverride = "Hazmat Front Arm 2 -HSM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "Download the contraption in description.. you don´t have to build him by yourself!",
                                ThumbnailOverride = ModAPI.LoadSprite("Thanos.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Hand2.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

//BackLeg 1
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("1000kg Weight"),
                                NameOverride = "Hazmat Back Leg 1 -HSM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "Download the contraption in description.. you don´t have to build him by yourself!",
                                ThumbnailOverride = ModAPI.LoadSprite("Thanos.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("BackLeg1.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

//BackLeg 2
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("1000kg Weight"),
                                NameOverride = "Hazmat Back Leg 2 -HSM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "Download the contraption in description.. you don´t have to build him by yourself!",
                                ThumbnailOverride = ModAPI.LoadSprite("Thanos.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("BackLeg2.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

//BackLeg 3
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("1000kg Weight"),
                                NameOverride = "Hazmat Back Leg 3 -HSM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "Download the contraption in description.. you don´t have to build him by yourself!",
                                ThumbnailOverride = ModAPI.LoadSprite("Thanos.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("BackLeg3.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

//Leg 1
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("1000kg Weight"),
                                NameOverride = "Hazmat Front Leg 1 -HSM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "Download the contraption in description.. you don´t have to build him by yourself!",
                                ThumbnailOverride = ModAPI.LoadSprite("Thanos.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Leg1.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

//Leg 2
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("1000kg Weight"),
                                NameOverride = "Hazmat Front Leg 2 -HSM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "Download the contraption in description.. you don´t have to build him by yourself!",
                                ThumbnailOverride = ModAPI.LoadSprite("Thanos.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Leg2.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

//Leg 3
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("1000kg Weight"),
                                NameOverride = "Hazmat Front Leg 3 -HSM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "Download the contraption in description.. you don´t have to build him by yourself!",
                                ThumbnailOverride = ModAPI.LoadSprite("Thanos.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Leg3.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );
        }
    }
}